- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OtherSolutionResult Class Reference

The OtherSolutionResult Class. More...

`#include <OSResult.h>`

Collaboration diagram for OtherSolutionResult:

[legend]
List of all members.

## Public Member Functions
| OtherSolutionResult ()
| Default constructor.
| ~OtherSolutionResult ()
| Class destructor.
bool | IsEqual (OtherSolutionResult *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
## Public Attributes
std::string | name
| the name of the result the user is defining
std::string | category
| this element allows a specific category to be associated with this particular type of result
std::string | description
| a brief description of the type of result
int | numberOfItems
| the number of items contained in this otherSolutionResult
std::string * | item
| an array of items (string-valued)

## Detailed Description

The OtherSolutionResult Class.

Author:
  Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  A class that allows the solver to report an arbitrary result associated with the solution.

Definition at line 1828 of file OSResult.h.

## Constructor & Destructor Documentation

OtherSolutionResult::OtherSolutionResult | ( |  | ) |

Default constructor.

Definition at line 847 of file OSResult.cpp.

OtherSolutionResult::~OtherSolutionResult | ( |  | ) |

Class destructor.

Definition at line 860 of file OSResult.cpp.

References item.

## Member Function Documentation

bool OtherSolutionResult::IsEqual | ( | OtherSolutionResult * | that | ) |

A function to check for the equality of two objects.

Definition at line 7066 of file OSResult.cpp.

bool OtherSolutionResult::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 8254 of file OSResult.cpp.

Referenced by OtherSolutionResults::setRandom().

## Member Data Documentation

std::string OtherSolutionResult::name

the name of the result the user is defining

Definition at line 1832 of file OSResult.h.

std::string OtherSolutionResult::category

this element allows a specific category to be associated with this particular type of result

Definition at line 1837 of file OSResult.h.

std::string OtherSolutionResult::description

a brief description of the type of result

Definition at line 1840 of file OSResult.h.

int OtherSolutionResult::numberOfItems

the number of items contained in this otherSolutionResult

Definition at line 1844 of file OSResult.h.

std::string* OtherSolutionResult::item

an array of items (string-valued)

Definition at line 1848 of file OSResult.h.

Referenced by ~OtherSolutionResult().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.cpp